%define tarname	Chaco
%define name	python-enthought-chaco
%define version	3.2.0
%define release	%mkrel 2

%define epoch	1

Summary:	Enthought Tool Suite - Chaco project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Source0:	%{tarname}-%{version}.tar.gz
Patch0:		setup.py.patch
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/chaco/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	python-enthought-chaco2
Requires:	python-enthought-enthoughtbase >= %{epoch}:3.0.3
Requires:	python-enthought-traits >= %{epoch}:3.2.0
Requires:	python-enthought-enable >= %{epoch}:3.2.0
Requires:	python-numpy >= 1.1.0
Requires:	python-reportlab
BuildRequires:	python-numpy-devel >= 1.1.0
BuildRequires:	python-setuptools >= 0.6c8
BuildRequires:	python-setupdocs >= 1.0
BuildRequires: 	python-sphinx, python-docutils
%py_requires -d

%description
Chaco is a Python plotting application toolkit that facilitates
writing plotting applications at all levels of complexity, from simple
scripts with hard-coded data to large plotting programs with complex
data interrelationships and a multitude of interactive tools. While
Chaco generates attractive static plots for publication and
presentation, it also works well for interactive data visualization
and exploration.

* Flexible drawing and layout: Plots consist of graphical components
  which can be placed inside nestable containers for layout,
  positioning, and event dispatch. Every component has a configurable
  rendering loop with distinct layers and backbuffering. Containers
  can draw cooperatively so that layers span across the containment
  hierarchy.
* Modular and extensible architecture: Chaco is object oriented from
  the ground up for ease of extension and customization. There are
  clear interfaces and abstract classes defining extension points for
  writing your own custom behaviors, from custom tools, plot types,
  layouts, etc. Most classes are also "subclass-friendly", so that
  subclasses can override one or two methods and everything else just
  works.
* Data model for ease of extension and embedding: There is a well
  defined relationship between the data side of things, and we are
  working on an even more sophisticated and powerful generic data
  pipeline, leveraging some of the new features of NumPy.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p0

%build
%__python setup.py build
%__python setup.py build_docs --formats html

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot}
%__rm -rf %{buildroot}/usr/enthought

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.txt examples/ docs/*.pdf build/docs/html/
%python_sitearch/*.pth
%python_sitearch/*.egg-info
%python_sitearch/enthought/chaco
%python_sitearch/enthought/chaco2


%changelog
* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 1:3.2.0-2mdv2010.0
+ Revision: 419285
- Add epoch to permit backport and facilitate update from 2009.1.
- Update to 3.2.0.

* Fri Apr 03 2009 Lev Givon <lev@mandriva.org> 3.1.0-1mdv2010.0
+ Revision: 363858
- Update to 3.1.0.

* Thu Mar 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.1.0-1mdv2009.1
+ Revision: 358135
- Update to latest upstream svn.

* Sat Jan 03 2009 Funda Wang <fundawang@mandriva.org> 3.0.1-2mdv2009.1
+ Revision: 323681
- fix file list
- update file list

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 313505
- Update to 3.0.1.
- Update to 3.0.0.
  Use new ETS projects.
- Rename package to correspond to new ETS project names.

* Thu Jul 17 2008 Lev Givon <lev@mandriva.org> 2.0.5-1mdv2009.0
+ Revision: 237720
- import python-enthought-chaco2

